 /********************************************************************/
 /*                                                                  */
 /*                  WebSphere MQ for Windows                        */
 /*                                                                  */
 /*  FILE NAME:      CMQPSP                                          */
 /*                                                                  */
 /*  DESCRIPTION:    Declarations for Publish/Subscribe              */
 /*                                                                  */
 /********************************************************************/
 /*  @START_COPYRIGHT@                                               */
 /*  Licensed Materials - Property of IBM                            */
 /*                                                                  */
 /*  5724-B41                                                        */
 /*                                                                  */
 /*  (C) Copyright IBM Corporation 1998, 2002.                       */
 /*                                                                  */
 /*  Status: Version 5 Release 3                                     */
 /*  @END_COPYRIGHT@                                                 */
 /********************************************************************/
 /*                                                                  */
 /*  FUNCTION:       This file declares the named constants for      */
 /*                  publish/subscribe.                              */
 /*                                                                  */
 /*  PROCESSOR:      PL/I                                            */
 /*                                                                  */
 /********************************************************************/
                                                                       
 /********************************************************************/
 /*  Publish/Subscribe Tags                                          */
 /********************************************************************/
                                                                       
 /* Tags as strings */
 %dcl MQPS_COMMAND                char;
 %dcl MQPS_COMP_CODE              char;
 %dcl MQPS_CORREL_ID              char;
 %dcl MQPS_DELETE_OPTIONS         char;
 %dcl MQPS_ERROR_ID               char;
 %dcl MQPS_ERROR_POS              char;
 %dcl MQPS_INTEGER_DATA           char;
 %dcl MQPS_PARAMETER_ID           char;
 %dcl MQPS_PUBLICATION_OPTIONS    char;
 %dcl MQPS_PUBLISH_TIMESTAMP      char;
 %dcl MQPS_Q_MGR_NAME             char;
 %dcl MQPS_Q_NAME                 char;
 %dcl MQPS_REASON                 char;
 %dcl MQPS_REASON_TEXT            char;
 %dcl MQPS_REGISTRATION_OPTIONS   char;
 %dcl MQPS_SEQUENCE_NUMBER        char;
 %dcl MQPS_STREAM_NAME            char;
 %dcl MQPS_STRING_DATA            char;
 %dcl MQPS_SUBSCRIPTION_IDENTITY  char;
 %dcl MQPS_SUBSCRIPTION_NAME      char;
 %dcl MQPS_SUBSCRIPTION_USER_DATA char;
 %dcl MQPS_TOPIC                  char;
 %dcl MQPS_USER_ID                char;
 %MQPS_COMMAND                = '''MQPSCommand''';
 %MQPS_COMP_CODE              = '''MQPSCompCode''';
 %MQPS_CORREL_ID              = '''MQPSCorrelId''';
 %MQPS_DELETE_OPTIONS         = '''MQPSDelOpts''';
 %MQPS_ERROR_ID               = '''MQPSErrorId''';
 %MQPS_ERROR_POS              = '''MQPSErrorPos''';
 %MQPS_INTEGER_DATA           = '''MQPSIntData''';
 %MQPS_PARAMETER_ID           = '''MQPSParmId''';
 %MQPS_PUBLICATION_OPTIONS    = '''MQPSPubOpts''';
 %MQPS_PUBLISH_TIMESTAMP      = '''MQPSPubTime''';
 %MQPS_Q_MGR_NAME             = '''MQPSQMgrName''';
 %MQPS_Q_NAME                 = '''MQPSQName''';
 %MQPS_REASON                 = '''MQPSReason''';
 %MQPS_REASON_TEXT            = '''MQPSReasonText''';
 %MQPS_REGISTRATION_OPTIONS   = '''MQPSRegOpts''';
 %MQPS_SEQUENCE_NUMBER        = '''MQPSSeqNum''';
 %MQPS_STREAM_NAME            = '''MQPSStreamName''';
 %MQPS_STRING_DATA            = '''MQPSStringData''';
 %MQPS_SUBSCRIPTION_IDENTITY  = '''MQPSSubIdentity''';
 %MQPS_SUBSCRIPTION_NAME      = '''MQPSSubName''';
 %MQPS_SUBSCRIPTION_USER_DATA = '''MQPSSubUserData''';
 %MQPS_TOPIC                  = '''MQPSTopic''';
 %MQPS_USER_ID                = '''MQPSUserId''';
                                                                       
 /* Tags as blank-enclosed strings */
 %dcl MQPS_COMMAND_B                char;
 %dcl MQPS_COMP_CODE_B              char;
 %dcl MQPS_CORREL_ID_B              char;
 %dcl MQPS_DELETE_OPTIONS_B         char;
 %dcl MQPS_ERROR_ID_B               char;
 %dcl MQPS_ERROR_POS_B              char;
 %dcl MQPS_INTEGER_DATA_B           char;
 %dcl MQPS_PARAMETER_ID_B           char;
 %dcl MQPS_PUBLICATION_OPTIONS_B    char;
 %dcl MQPS_PUBLISH_TIMESTAMP_B      char;
 %dcl MQPS_Q_MGR_NAME_B             char;
 %dcl MQPS_Q_NAME_B                 char;
 %dcl MQPS_REASON_B                 char;
 %dcl MQPS_REASON_TEXT_B            char;
 %dcl MQPS_REGISTRATION_OPTIONS_B   char;
 %dcl MQPS_SEQUENCE_NUMBER_B        char;
 %dcl MQPS_STREAM_NAME_B            char;
 %dcl MQPS_STRING_DATA_B            char;
 %dcl MQPS_SUBSCRIPTION_IDENTITY_B  char;
 %dcl MQPS_SUBSCRIPTION_NAME_B      char;
 %dcl MQPS_SUBSCRIPTION_USER_DATA_B char;
 %dcl MQPS_TOPIC_B                  char;
 %dcl MQPS_USER_ID_B                char;
 %MQPS_COMMAND_B                = ''' MQPSCommand ''';
 %MQPS_COMP_CODE_B              = ''' MQPSCompCode ''';
 %MQPS_CORREL_ID_B              = ''' MQPSCorrelId ''';
 %MQPS_DELETE_OPTIONS_B         = ''' MQPSDelOpts ''';
 %MQPS_ERROR_ID_B               = ''' MQPSErrorId ''';
 %MQPS_ERROR_POS_B              = ''' MQPSErrorPos ''';
 %MQPS_INTEGER_DATA_B           = ''' MQPSIntData ''';
 %MQPS_PARAMETER_ID_B           = ''' MQPSParmId ''';
 %MQPS_PUBLICATION_OPTIONS_B    = ''' MQPSPubOpts ''';
 %MQPS_PUBLISH_TIMESTAMP_B      = ''' MQPSPubTime ''';
 %MQPS_Q_MGR_NAME_B             = ''' MQPSQMgrName ''';
 %MQPS_Q_NAME_B                 = ''' MQPSQName ''';
 %MQPS_REASON_B                 = ''' MQPSReason ''';
 %MQPS_REASON_TEXT_B            = ''' MQPSReasonText ''';
 %MQPS_REGISTRATION_OPTIONS_B   = ''' MQPSRegOpts ''';
 %MQPS_SEQUENCE_NUMBER_B        = ''' MQPSSeqNum ''';
 %MQPS_STREAM_NAME_B            = ''' MQPSStreamName ''';
 %MQPS_STRING_DATA_B            = ''' MQPSStringData ''';
 %MQPS_SUBSCRIPTION_IDENTITY_B  = ''' MQPSSubIdentity ''';
 %MQPS_SUBSCRIPTION_NAME_B      = ''' MQPSSubName ''';
 %MQPS_SUBSCRIPTION_USER_DATA_B = ''' MQPSSubUserData ''';
 %MQPS_TOPIC_B                  = ''' MQPSTopic ''';
 %MQPS_USER_ID_B                = ''' MQPSUserId ''';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values for MQPS_COMMAND Tag                                     */
 /********************************************************************/
                                                                       
 /* Values as strings */
 %dcl MQPS_DELETE_PUBLICATION    char;
 %dcl MQPS_DEREGISTER_PUBLISHER  char;
 %dcl MQPS_DEREGISTER_SUBSCRIBER char;
 %dcl MQPS_PUBLISH               char;
 %dcl MQPS_REGISTER_PUBLISHER    char;
 %dcl MQPS_REGISTER_SUBSCRIBER   char;
 %dcl MQPS_REQUEST_UPDATE        char;
 %MQPS_DELETE_PUBLICATION    = '''DeletePub''';
 %MQPS_DEREGISTER_PUBLISHER  = '''DeregPub''';
 %MQPS_DEREGISTER_SUBSCRIBER = '''DeregSub''';
 %MQPS_PUBLISH               = '''Publish''';
 %MQPS_REGISTER_PUBLISHER    = '''RegPub''';
 %MQPS_REGISTER_SUBSCRIBER   = '''RegSub''';
 %MQPS_REQUEST_UPDATE        = '''ReqUpdate''';
                                                                       
 /* Values as blank-enclosed strings */
 %dcl MQPS_DELETE_PUBLICATION_B    char;
 %dcl MQPS_DEREGISTER_PUBLISHER_B  char;
 %dcl MQPS_DEREGISTER_SUBSCRIBER_B char;
 %dcl MQPS_PUBLISH_B               char;
 %dcl MQPS_REGISTER_PUBLISHER_B    char;
 %dcl MQPS_REGISTER_SUBSCRIBER_B   char;
 %dcl MQPS_REQUEST_UPDATE_B        char;
 %MQPS_DELETE_PUBLICATION_B    = ''' DeletePub ''';
 %MQPS_DEREGISTER_PUBLISHER_B  = ''' DeregPub ''';
 %MQPS_DEREGISTER_SUBSCRIBER_B = ''' DeregSub ''';
 %MQPS_PUBLISH_B               = ''' Publish ''';
 %MQPS_REGISTER_PUBLISHER_B    = ''' RegPub ''';
 %MQPS_REGISTER_SUBSCRIBER_B   = ''' RegSub ''';
 %MQPS_REQUEST_UPDATE_B        = ''' ReqUpdate ''';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values for following tags:                                      */
 /*    MQPS_DELETE_OPTIONS                                           */
 /*    MQPS_PUBLICATION_OPTIONS                                      */
 /*    MQPS_REGISTRATION_OPTIONS                                     */
 /********************************************************************/
                                                                       
 /* Values as strings */
 %dcl MQPS_ADD_NAME                char;
 %dcl MQPS_ANONYMOUS               char;
 %dcl MQPS_CORREL_ID_AS_IDENTITY   char;
 %dcl MQPS_DEREGISTER_ALL          char;
 %dcl MQPS_DIRECT_REQUESTS         char;
 %dcl MQPS_DUPLICATES_OK           char;
 %dcl MQPS_FULL_RESPONSE           char;
 %dcl MQPS_INCLUDE_STREAM_NAME     char;
 %dcl MQPS_INFORM_IF_RETAINED      char;
 %dcl MQPS_IS_RETAINED_PUBLICATION char;
 %dcl MQPS_JOIN_EXCLUSIVE          char;
 %dcl MQPS_JOIN_SHARED             char;
 %dcl MQPS_LEAVE_ONLY              char;
 %dcl MQPS_LOCAL                   char;
 %dcl MQPS_LOCKED                  char;
 %dcl MQPS_NEW_PUBLICATIONS_ONLY   char;
 %dcl MQPS_NO_ALTERATION           char;
 %dcl MQPS_NO_REGISTRATION         char;
 %dcl MQPS_NON_PERSISTENT          char;
 %dcl MQPS_NONE                    char;
 %dcl MQPS_OTHER_SUBSCRIBERS_ONLY  char;
 %dcl MQPS_PERSISTENT              char;
 %dcl MQPS_PERSISTENT_AS_PUBLISH   char;
 %dcl MQPS_PERSISTENT_AS_Q         char;
 %dcl MQPS_PUBLISH_ON_REQUEST_ONLY char;
 %dcl MQPS_RETAIN_PUBLICATION      char;
 %dcl MQPS_VARIABLE_USER_ID        char;
 %MQPS_ADD_NAME                = '''AddName''';
 %MQPS_ANONYMOUS               = '''Anon''';
 %MQPS_CORREL_ID_AS_IDENTITY   = '''CorrelAsId''';
 %MQPS_DEREGISTER_ALL          = '''DeregAll''';
 %MQPS_DIRECT_REQUESTS         = '''DirectReq''';
 %MQPS_DUPLICATES_OK           = '''DupsOK''';
 %MQPS_FULL_RESPONSE           = '''FullResp''';
 %MQPS_INCLUDE_STREAM_NAME     = '''InclStreamName''';
 %MQPS_INFORM_IF_RETAINED      = '''InformIfRet''';
 %MQPS_IS_RETAINED_PUBLICATION = '''IsRetainedPub''';
 %MQPS_JOIN_EXCLUSIVE          = '''JoinExcl''';
 %MQPS_JOIN_SHARED             = '''JoinShared''';
 %MQPS_LEAVE_ONLY              = '''LeaveOnly''';
 %MQPS_LOCAL                   = '''Local''';
 %MQPS_LOCKED                  = '''Locked''';
 %MQPS_NEW_PUBLICATIONS_ONLY   = '''NewPubsOnly''';
 %MQPS_NO_ALTERATION           = '''NoAlter''';
 %MQPS_NO_REGISTRATION         = '''NoReg''';
 %MQPS_NON_PERSISTENT          = '''NonPers''';
 %MQPS_NONE                    = '''None''';
 %MQPS_OTHER_SUBSCRIBERS_ONLY  = '''OtherSubsOnly''';
 %MQPS_PERSISTENT              = '''Pers''';
 %MQPS_PERSISTENT_AS_PUBLISH   = '''PersAsPub''';
 %MQPS_PERSISTENT_AS_Q         = '''PersAsQueue''';
 %MQPS_PUBLISH_ON_REQUEST_ONLY = '''PubOnReqOnly''';
 %MQPS_RETAIN_PUBLICATION      = '''RetainPub''';
 %MQPS_VARIABLE_USER_ID        = '''VariableUserId''';
                                                                       
 /* Values as blank-enclosed strings */
 %dcl MQPS_ADD_NAME_B                char;
 %dcl MQPS_ANONYMOUS_B               char;
 %dcl MQPS_CORREL_ID_AS_IDENTITY_B   char;
 %dcl MQPS_DEREGISTER_ALL_B          char;
 %dcl MQPS_DIRECT_REQUESTS_B         char;
 %dcl MQPS_DUPLICATES_OK_B           char;
 %dcl MQPS_FULL_RESPONSE_B           char;
 %dcl MQPS_INCLUDE_STREAM_NAME_B     char;
 %dcl MQPS_INFORM_IF_RETAINED_B      char;
 %dcl MQPS_IS_RETAINED_PUBLICATION_B char;
 %dcl MQPS_JOIN_EXCLUSIVE_B          char;
 %dcl MQPS_JOIN_SHARED_B             char;
 %dcl MQPS_LEAVE_ONLY_B              char;
 %dcl MQPS_LOCAL_B                   char;
 %dcl MQPS_LOCKED_B                  char;
 %dcl MQPS_NEW_PUBLICATIONS_ONLY_B   char;
 %dcl MQPS_NO_ALTERATION_B           char;
 %dcl MQPS_NO_REGISTRATION_B         char;
 %dcl MQPS_NON_PERSISTENT_B          char;
 %dcl MQPS_NONE_B                    char;
 %dcl MQPS_OTHER_SUBSCRIBERS_ONLY_B  char;
 %dcl MQPS_PERSISTENT_B              char;
 %dcl MQPS_PERSISTENT_AS_PUBLISH_B   char;
 %dcl MQPS_PERSISTENT_AS_Q_B         char;
 %dcl MQPS_PUBLISH_ON_REQUEST_ONLY_B char;
 %dcl MQPS_RETAIN_PUBLICATION_B      char;
 %dcl MQPS_VARIABLE_USER_ID_B        char;
 %MQPS_ADD_NAME_B                = ''' AddName ''';
 %MQPS_ANONYMOUS_B               = ''' Anon ''';
 %MQPS_CORREL_ID_AS_IDENTITY_B   = ''' CorrelAsId ''';
 %MQPS_DEREGISTER_ALL_B          = ''' DeregAll ''';
 %MQPS_DIRECT_REQUESTS_B         = ''' DirectReq ''';
 %MQPS_DUPLICATES_OK_B           = ''' DupsOK ''';
 %MQPS_FULL_RESPONSE_B           = ''' FullResp ''';
 %MQPS_INCLUDE_STREAM_NAME_B     = ''' InclStreamName ''';
 %MQPS_INFORM_IF_RETAINED_B      = ''' InformIfRet ''';
 %MQPS_IS_RETAINED_PUBLICATION_B = ''' IsRetainedPub ''';
 %MQPS_JOIN_EXCLUSIVE_B          = ''' JoinExcl ''';
 %MQPS_JOIN_SHARED_B             = ''' JoinShared ''';
 %MQPS_LEAVE_ONLY_B              = ''' LeaveOnly ''';
 %MQPS_LOCAL_B                   = ''' Local ''';
 %MQPS_LOCKED_B                  = ''' Locked ''';
 %MQPS_NEW_PUBLICATIONS_ONLY_B   = ''' NewPubsOnly ''';
 %MQPS_NO_ALTERATION_B           = ''' NoAlter ''';
 %MQPS_NO_REGISTRATION_B         = ''' NoReg ''';
 %MQPS_NON_PERSISTENT_B          = ''' NonPers ''';
 %MQPS_NONE_B                    = ''' None ''';
 %MQPS_OTHER_SUBSCRIBERS_ONLY_B  = ''' OtherSubsOnly ''';
 %MQPS_PERSISTENT_B              = ''' Pers ''';
 %MQPS_PERSISTENT_AS_PUBLISH_B   = ''' PersAsPub ''';
 %MQPS_PERSISTENT_AS_Q_B         = ''' PersAsQueue ''';
 %MQPS_PUBLISH_ON_REQUEST_ONLY_B = ''' PubOnReqOnly ''';
 %MQPS_RETAIN_PUBLICATION_B      = ''' RetainPub ''';
 %MQPS_VARIABLE_USER_ID_B        = ''' VariableUserId ''';
                                                                       
                                                                       
 /********************************************************************/
 /*  End of CMQPSP                                                   */
 /********************************************************************/
